<script type='text/javascript'>
jQuery(document).ready(function($){
	
	var frissitesek_object = {
		getAllUpdates: function(){
			return <?=$hirlevelek_json?>;
		},
		getUpdateByID: function(hl_id){
			var updates = this.getAllUpdates();
			var len = updates.length;
			for(var i = 0; i < len; i++){if(updates[i].nl_id == hl_id){return updates[i];}}
			return false;
		}
	};
	
	var frissitesek2_object = {
		getAllUpdates: function(){
			return <?=$napitippek_json?>;
		},
		getUpdateByID: function(hl_id){
			var updates = this.getAllUpdates();
			var len = updates.length;
			for(var i = 0; i < len; i++){if(updates[i].nl_id == hl_id){return updates[i];}}
			return false;
		}
	};
	
	var linkek_object = {
		getAllUpdates: function(){
			return <?=$json_linkek?>;
		},
		getUpdateByID: function(id){
			var updates = this.getAllUpdates();
			var len = updates.length;
			for(var i = 0; i < len; i++){if(updates[i].id == id){return updates[i];}}
			return false;
		}
	};
	
	$('#frissitesformdoboz').dialog({
		autoOpen: false,
		modal: true,
		width: 650,
		buttons: {
			'Módosítás': function(){
				var con = $('#modositas_form');
				
				if( $('#trurl', con).css("display") == "table-row" && $('#url', con).val() == "" ){
					alert("Nincs kitöltve az url mező!");
					//alert('display: '+$('#trurl', con).css("display")+', ertek: '+$('#url', con).val());
				}
				else{
					$('#modositas_form').submit();
					$('#frissitesformdoboz').dialog('close');
				}
			},
			'Mégsem': function(){
				$('#frissitesformdoboz').dialog('close');
			}
		}
	});

	$('#frissitesformdoboz2').dialog({
		autoOpen: false,
		modal: true,
		width: 650,
		buttons: {
			'Módosítás': function(){
				var con = $('#modositas2_form');
				
				if( $('#trurl2', con).css("display") == "table-row" && $('#url2', con).val() == "" ){
					alert("Nincs kitöltve az url mező!");
				}
				else{
					$('#modositas2_form').submit();
					$('#frissitesformdoboz2').dialog('close');
				}
			},
			'Mégsem': function(){
				$('#frissitesformdoboz2').dialog('close');
			}
		}
	});

	
	// hírlevél szerkesztés
	$('#frissitesekdoboz .editupd').click(function(){
		var con = $('#modositas_form');
		var event = $(this).parents('.projectinfok');
		
		var level = frissitesek_object.getUpdateByID($(this).attr('nlid'));
		$('#nl_id', con).val(level.nl_id);
		$('#title', con).val(level.title);
		$('#subtitle', con).val(level.alcim);
		$('#video', con).val(level.vidazon);
		$('#leiras', con).val(level.szoveg);
		$('#link', con).val(level.link);
		$('#trurl', con).css("display","none");
		
		if( level.keptipus == "0" ){
			$('#tr-kep', con).css("display","none");
			$('.tr-kep', con).css("display","none");
			$('#tr-video', con).css("display","");
			$('#vidvalaszt option', con).each(function(){
				if($(this).val() == "video")
					$(this).attr('selected','selected');
				else
					$(this).attr('selected','');
			});
		}
		else if( !(/\./.test(level.video)) ){
			$('#tr-kep', con).css("display","none");
			$('.tr-kep', con).css("display","none");
			$('#tr-video', con).css("display","");
			$('#vidvalaszt option', con).each(function(){
				if($(this).val() == "mappa")
					$(this).attr('selected','selected');
				else
					$(this).attr('selected','');
			});
		}
		else{
			$('#tr-kep', con).css("display","");
			$('.tr-kep', con).css("display","");
			$('#tr-video', con).css("display","none");
			$('#vidvalaszt option', con).each(function(){
				if($(this).val() == "kep")
					$(this).attr('selected','selected');
				else
					$(this).attr('selected','');
			});
		}
		
		//open the dialog
		$('#frissitesformdoboz').dialog('open');
		
		return false;
	});
	

// napitipp szerkesztés
	$('#frissitesekdoboz2 .editupd').click(function(){
		var con = $('#modositas2_form');
		var event = $(this).parents('.projectinfok');
		
		var level = frissitesek2_object.getUpdateByID($(this).attr('nlid'));
		$('#nl_id2', con).val(level.nl_id);
		$('#title2', con).val(level.title);
		$('#subtitle2', con).val(level.alcim);
		$('#leiras2', con).val(level.szoveg);
		$('#link2', con).val(level.link);
		$('#trurl2', con).css("display","none");

		if( level.keptipus == "0" ){ // video and/or folder
			$('#tr-kep2', con).css("display","none");
			$('.tr-kep', con).css("display","none");
			$('#tr-video2', con).css("display","table-row");
			$('#video2', con).val(level.vidazon);
			$('#vidvalaszt2 option', con).each(function(){
				if($(this).val() == "video")
					$(this).attr('selected','selected');
				else
					$(this).attr('selected','');
			});
		}
		if( level.keptipus == "1" ){ // image
			$('#tr-kep2', con).css("display","table-row");
			$('.tr-kep', con).css("display","table-row");
			$('#tr-video2', con).css("display","none");
			$('#kep2', con).val(level.vidazon);
			$('#vidvalaszt2 option', con).each(function(){
				if($(this).val() == "kep")
					$(this).attr('selected','selected');
				else
					$(this).attr('selected','');
			});
		}
		
		//open the dialog
		$('#frissitesformdoboz2').dialog('open');
		
		return false;
	});
	


		
	// új hírlevél
	$('#frissitesekdoboz .newupdate').click(function(){
		var con = $('#modositas_form');
		
		$('#nl_id', con).val("");
		$('#title', con).val("");
		$('#subtitle', con).val("");
		$('#video', con).val("");
		$('#leiras', con).val("");
		$('#trurl', con).val("");
		$('#trurl', con).css("display","");
		
		$('#tr-kep', con).css("display","none");
		$('.tr-kep', con).css("display","none");
		$('#tr-video', con).css("display","");
		$('#vidvalaszt option', con).each(function(){
			if($(this).val() == "video")
				$(this).attr('selected','selected');
			else
				$(this).attr('selected','');
		});
		
		$('#frissitesformdoboz').dialog('open');
		return false;
	});


// új napitipp
	$('#frissitesekdoboz2 .newupdate').click(function(){
		var con = $('#modositas2_form');
		
		$('#nl_id2', con).val("");
		$('#title2', con).val("");
		$('#subtitle2', con).val("");
		$('#video2', con).val("");
		$('#leiras2', con).val("");
		$('#trurl2', con).val("");
		$('#trurl2', con).css("display","");
		
		$('#tr-kep2', con).css("display","none");
		$('.tr-kep', con).css("display","none");
		$('#tr-video2', con).css("display","");
		$('#vidvalaszt2 option', con).each(function(){
			if($(this).val() == "video")
				$(this).attr('selected','selected');
			else
				$(this).attr('selected','');
		});
		
		$('#frissitesformdoboz2').dialog('open');
		return false;
	});	
	

	$('.frissiteseket').click(function(){$('#frissitesekdoboz').toggle();});
	
	$('.frissiteseket2').click(function(){$('#frissitesekdoboz2').toggle();});
	
	
	// linkek szerkesztése
	$('#linkekdoboz .editupd').click(function(){
		var con = $('#modositas_form_link');
		var event = $(this).parents('.linkinfok');
		
		var link = linkek_object.getUpdateByID(event.attr('nlid'));
		$('#id', con).val(link.id);
		$('#name', con).val(link.name);
		$('#esem_id', con).val(link.esem_id);
		$('#esem_cont', con).val(link.esem_cont);
		$('#redirect', con).val(link.redirect);
		$('#trurl', con).css("display","none");
		
		//open the dialog
		$('#linkformdoboz').dialog('open');
		
		return false;
	});
	
	// új link
	$('#linkekdoboz .newupdate').click(function(){
		var con = $('#modositas_form_link');
		
		$('#id', con).val("new");
		$('#name', con).val("");
		$('#esem_id', con).val("");
		$('#esem_cont', con).val("");
		$('#redirect', con).val("http://www.<?if(hun()):?>archline.hu<?else:?>archlinexp.com<?endif;?>/");
		$('#alias', con).val("");
		$('#trurl', con).css("display","");
		
		$('#linkformdoboz').dialog('open');
		return false;
	});
	
	$('#linkformdoboz').dialog({
		autoOpen: false,
		modal: true,
		width: 650,
		buttons: {
			'Módosítás': function(){
				var con = $('#modositas_form_link');
				
				if( $('#trurl', con).css("display") == "table-row" && $('#alias', con).val() == "" ){
					alert("Nincs kitöltve az url mező!");
				}
				else{
					$('#modositas_form_link').submit();
					$('#linkformdoboz').dialog('close');
				}
			},
			'Mégsem': function(){
				$('#linkformdoboz').dialog('close');
			}
		}
	});
	
	
	$('.linkeket').click(function(){ $('#linkekdoboz').toggle(); });
	
	
	$.mask.definitions['#']='[A-Za-z0-9_-]';
	$('#video').mask('###########', {
		placeholder: '_ '
	});
	
	$.mask.definitions['~']='[a-z_-]';
//	$('#url').mask("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~?", {placeholder: '', greedy: false});
	
//	$("#url").inputmask({ "mask": "9", "repeat": 10, "greedy": false });
	
//	alert("betöltve");
	
});

function baltipusvalt(obj){
	if(obj.value=="kep"){
		document.getElementById('tr-kep').style.display = "";
		document.getElementById('tr-video').style.display = "none";
		jQuery('.tr-kep').css("display","");
	}else{
		document.getElementById('tr-kep').style.display = "none";
		document.getElementById('tr-video').style.display = "";
		jQuery('.tr-kep').css("display","none");
	}
}

function baltipusvalt2(obj){
	if(obj.value=="kep"){
		document.getElementById('tr-kep2').style.display = "";
		document.getElementById('tr-video2').style.display = "none";
		jQuery('.tr-kep').css("display","");
	}else{
		document.getElementById('tr-kep2').style.display = "none";
		document.getElementById('tr-video2').style.display = "";
		jQuery('.tr-kep').css("display","none");
	}
}

</script>



<style>
	div.frissiteseket, div.frissiteseket2, div.linkeket, div.galeriak{
		cursor: pointer;
		margin: 0 0 20px 5px;
		padding: 3px;
		border: 1px solid black;
		width: 180px;
		background: #f80;
		text-align: center;
	}
	
	#frissitesekdoboz, #frissitesekdoboz2, #linkekdoboz{
		margin: 10px 0px 20px 0px;
		background: #ffd;
		width: 550px;
		display: none;
	}
	#linkekdoboz{ width: 850px; }
	#linkekdoboz td{ padding-top: 10px; }
	
	#frissitesformdoboz, #frissitesformdoboz2, #linkformdoboz{
		margin: 10px 0px 20px 0px;
		background: #ffd;
		width: 450px;
		display: none;
	}
	
	#frissitesformdoboz td, #frissitesformdoboz2 td, #linkformdoboz td{
		text-align: left;
	}
	
	#ujfrissitesformdoboz td{
		text-align: left;
	}
	
	#ujfrissitesformdoboz input, #frissitesformdoboz input, #frissitesformdoboz2 input, #linkformdoboz input{
		width: 300px;
	}
</style>



<div class="frissiteseket"><strong>Hirlevelek szerkesztése</strong></div>
<div id="frissitesekdoboz">
   <div class="newupdate frissiteseket" style="width: 90px;"><strong>Új hírlevél</strong></div>
   
   <?if(!$hirlevelek):?>
   	Nincsenek hírlevelek az adatbázisban
   <?else:?>
   	<?foreach($hirlevelek as $frissites):?>
   		<p class="linkinfok" nlid="<?=$frissites->nl_id?>">
   			<span class="linkinfok" nlid="<?=$frissites->nl_id?>">
   			<a href="javascript:delQue('admin/del_nl/<?=$frissites->nl_id?>','Biztosan törli?')">
   				<span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span>
   			</a>
   			<a class="editupd" href="#" nlid="<?=$frissites->nl_id?>">
   				<?=$frissites->title?>
   			</a>
   			</span>
   		</p>
   	<?endforeach;?>
   <?endif;?>
</div>


<!--2014.06.05. F.Zs.-->
<div class="frissiteseket2" onclick="javascript:"><strong>Napi tippek szerkesztése</strong></div>
<div id="frissitesekdoboz2">
   <div class="newupdate frissiteseket2" style="width: 90px;"><strong>Új napi tipp</strong></div>
   
   <?if(!$napitippek):?>
   	Nincsenek napi tippek az adatbázisban
   <?else:?>
   	<?foreach($napitippek as $frissites):?>
   		<p class="linkinfok" nlid="<?=$frissites->nl_id?>">
   			<span class="linkinfok" nlid="<?=$frissites->nl_id?>">
   			<a href="javascript:delQue('admin/del_nt/<?=$frissites->nl_id?>','Biztosan törli?')">
   				<span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span>
   			</a>
   			<a class="editupd" href="#" nlid="<?=$frissites->nl_id?>">
   				<?=$frissites->title?>
   			</a>
   			</span>
   		</p>
   	<?endforeach;?>
   <?endif;?>
</div>
<!--2014.06.05. F.Zs.-->


<div class="galeriak"><a href="/admin/galeria"><strong>Galériák szerkesztése</strong></a></div>


<div class="linkeket"><strong>Követési linkek szerkesztése</strong></div>
<div id="linkekdoboz">
<div class="newupdate linkeket" style="width: 90px;"><strong>Új követési link</strong></div>
<?if(!$linkek):?>
	Nincsenek linkek az adatbázisban
<?else:?>
	<table>
	<tr class="linkinfok" nlid="<?=$link->id?>">
		<th>&nbsp;</th>
		<th>Elnevezés</th>
		<th>Weboldal link</th>
		<th>E-mail link</th>
	</tr>
	<?foreach($linkek as $link):?>
		<tr class="linkinfok" nlid="<?=$link->id?>">
			<td>
			<a href="javascript:delQue('admin/del_nl/<?=$link->id?>','Biztosan törli?')">
				<span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span>
			</a>
			</td>
			<td>
			<a class="editupd" href="#">
				<?=$link->name?>
			</a>
			</td>
			<td><?=$link->redirect?></td>
			<td>http://www.<?if(hun()):?>archline.hu<?else:?>archlinexp.com<?endif;?>/events/newclick/<?=$link->alias?>/#e-mail#</td>
		</tr>
	<?endforeach;?>
	</table>
<?endif;?>
</div>




<h2><?=$this->lang->line('news_h1_new')?></h2>
<p>
	<input type="button" value="<?=$this->lang->line('news_button_new')?>" onclick="window.location.href='/admin/newsedit/new'"/>
</p>
<p>&nbsp;</p>
<h2><?=$this->lang->line('news_h1_list')?></h2>
<?if(!$latest_100):?>
	<?=$this->lang->line('news_none')?>
<?else:?>
	<?$hirek_listaja=array();?>
	<?foreach($latest_100 as $hir):?>
		<p>
			<?$datum = $hir->news_y . '-' . $hir->news_m . '-' . $hir->news_d;?>
			<?$hir->datum = date('D, d M Y H:i:s +0200', strtotime($datum));?>
			<?array_push($hirek_listaja,$hir);?>
		</p>
	<?endforeach;?>
	<?foreach($hirek_listaja as $hir):?>
		<p>
			<a href="#" onclick="delQue('admin/newsdelete/<?=$hir->news_id?>', <?if(hun()):?>'Biztosan törölni akarod?'<?else:?>'Are You sure?'<?endif;?>)"><span class="news-delete"><?=$this->lang->line('news_button_delete')?></span></a>
			<?=anchor('admin/newsedit/'.$hir->news_id,$hir->news_title)?>
		</p>
	<?endforeach;?>
<?endif;?>



<div id="frissitesformdoboz">
	<form action="/admin/set_nl" method="post" name="modositas_form" id="modositas_form" enctype="multipart/form-data">
		<input type="hidden" name="nl_id" id="nl_id" value="" />
		<table>
			<tr>
				<td><strong>Hírlevél címe 1:<br /></strong>(Newsletter logó mellett)</td>
				<td valign="top"><input type="text" name="title" id="title" value="" /></td>
			</tr>
			<tr>
				<td><strong>Hírlevél címe 2:<br /></strong>(videó melletti szöveg első sora)</td>
				<td valign="top"><input type="text" name="subtitle" id="subtitle" value="" /></td>
			</tr>
			<tr>
				<td><strong>Youtube/Kép/Mappa: </strong></td>
				<td>
					<select id="vidvalaszt" name="baltipus" onchange="baltipusvalt(this)">
						<option value="kep">Kép</option>
						<option value="mappa">Mappa</option>
						<option value="video">Youtube videó</option>
					</select>
				</td>
			</tr>
			<tr id="tr-kep">
				<td><strong>Kép feltöltése: </strong><br />Méret: 425 x 349 px</td>
				<td><input type="file" name="kep" id="kep" /></td>
			</tr>
			<tr id="tr-video">
				<td><strong>Youtube videó azonosítója: </strong></td>
				<td><input type="text" name="video" id="video" value="" /></td>
			</tr>
			<tr>
				<td valign="top">
					<br />
					<strong>Leírás: </strong>
				</td>
				<td>
					<span style="color: #b00; font-weight: bold;">Kérem, hogy a szöveget NE Wordből / Outlookból / Sendblasterből másold be, mert felülírják a weboldal stílusát! Először másold be Notepad++ -ba, majd onnan másold át ide a szöveget. Köszönöm. Eszter</span><br />
					<textarea name="leiras" id="leiras" rows="4" cols="47"></textarea>
				</td>
			</tr>
			<tr id="trurl">
				<td valign="top"><strong>Url azonosító:<br /></strong>(pl: <em>room-maker</em> )</td>
				<td>
					<input type="text" name="url" id="url" value="" />
					<span style="color: #b00; font-weight: bold;">(! Ezt utólag nem lehet módosítani!)<br /><br />!!! A hír címe (1) és linkje a twitteren automatikusan megjelenik!</span>
				</td>
			</tr>
			<tr class="tr-kep">
				<td><strong>Link: </strong><br />(képre kattintva..)</td>
				<td><input type="text" name="link" id="link" /></td>
			</tr>
		</table>
	</form>
</div>


<!--Napi tipp szerkeszto form-->
<div id="frissitesformdoboz2">
	<form action="/admin/set_nt" method="post" name="modositas2_form" id="modositas2_form" enctype="multipart/form-data">
		<input type="hidden" name="nl_id" id="nl_id2" value="" />
		<table>
			<tr>
				<td><strong>Napi tipp címe 1:<br /></strong>(logó mellett)</td>
				<td valign="top"><input type="text" name="title" id="title2" value="" /></td>
			</tr>
			<tr>
				<td><strong>Napi tipp címe 2:<br /></strong>(videó melletti szöveg első sora)</td>
				<td valign="top"><input type="text" name="subtitle" id="subtitle2" value="" /></td>
			</tr>
			<tr>
				<td><strong>Youtube/Kép/Mappa: </strong></td>
				<td>
					<select id="vidvalaszt2" name="baltipus" onchange="baltipusvalt2(this)">
						<option value="kep">Kép</option>
						<!--option value="mappa">Mappa</option-->
						<option value="video">Youtube videó</option>
					</select>
				</td>
			</tr>
			<tr id="tr-kep2">
				<td><strong>Kép feltöltése: </strong><br />Méret: 425 x 349 px</td>
				<td>
               <input type="file" name="kep" id="kep" /><br />
               <input type="text" name="kep2" id="kep2" value="" />
            </td>
			</tr>
			<tr id="tr-video2">
				<td><strong>Youtube videó azonosítója: </strong></td>
				<td><input type="text" name="video" id="video2" value="" /></td>
			</tr>
			<tr>
				<td valign="top">
					<br />
					<strong>Leírás: </strong>
				</td>
				<td>
					<span style="color: #b00; font-weight: bold;">Kérem, hogy a szöveget NE Wordből / Outlookból / Sendblasterből másold be, mert felülírják a weboldal stílusát! Először másold be Notepad++ -ba, majd onnan másold át ide a szöveget. Köszönöm. Eszter</span><br />
					<textarea name="leiras" id="leiras2" rows="4" cols="47"></textarea>
				</td>
			</tr>
			<tr id="trurl2">
				<td valign="top"><strong>Url azonosító:<br /></strong>(pl: <em>room-maker</em> )</td>
				<td>
					<input type="text" name="url" id="url2" value="" />
					<span style="color: #b00; font-weight: bold;">(! Ezt utólag nem lehet módosítani!)<br /><br />!!! A hír címe (1) és linkje a twitteren automatikusan megjelenik!</span>
				</td>
			</tr>
			<tr class="tr-kep">
				<td><strong>Link: </strong><br />(képre kattintva..)</td>
				<td><input type="text" name="link" id="link2" /></td>
			</tr>
		</table>
	</form>
</div>


<div id="linkformdoboz">
	<form action="/admin/set_followlink" method="post" name="modositas_form_link" id="modositas_form_link">
		<input type="hidden" name="id" id="id" value="" />
		<table>
			<tr>
				<td><strong>Elnevezés</strong> (csak itt jelenik meg)</td>
				<td valign="top"><input type="text" name="name" id="name" value="" /></td>
			</tr>
			<tr>
				<td><strong>Esemény:</strong></td>
				<td>
					<select id="esem_id" name="esem_id">
						<?foreach($crmtopics as $topic):?>
						<option value="<?=$topic->nTopicID?>"><?=$topic->topicnev?></option>
						<?endforeach;?>
					</select>
				</td>
			</tr>
			<tr>
				<td valign="top"><strong>Esemény tartalma</strong></td>
				<td>
					<textarea name="esem_cont" id="esem_cont" rows="2" cols="40"></textarea>
				</td>
			</tr>
			<tr>
				<td><strong>Weboldal: </strong></td>
				<td><input type="text" name="redirect" id="redirect" /></td>
			</tr>
			<tr id="trurl">
				<td valign="top"><strong>Url azonosító:<br /></strong>(pl: <em>husveti-akcio</em> )</td>
				<td>
					<input type="text" name="alias" id="alias" value="" />
					<span style="color: #b00; font-weight: bold;">(! Ezt utólag nem lehet módosítani!)</span>
				</td>
			</tr>
		</table>
	</form>
</div>


<script type="text/javascript" src="/public/editor/fckeditor.js"></script>
<script type="text/javascript">
window.onload = function()
{
	var oFCKeditor = new FCKeditor( 'leiras' ) ;
	oFCKeditor.BasePath = "/public/editor/";
	oFCKeditor.Height="200";
	oFCKeditor.Width="450";
	oFCKeditor.ToolbarSet="news_edit";
	oFCKeditor.ReplaceTextarea() ;
	
	var oFCKeditor2 = new FCKeditor('leiras2');
	oFCKeditor2.BasePath = "/public/editor/";
	oFCKeditor2.Height="200";
	oFCKeditor2.Width="450";
	oFCKeditor2.ToolbarSet="news_edit";
	oFCKeditor2.ReplaceTextarea() ;
}
</script>